


<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Stock valorizado venta
			<small>Operación</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Almacen</li>
				<li class="breadcrumb-item active">Stock valorizado venta</li>
            </ol>
          </div>
		</div>
	</div>
</div>



<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
			<div class="card-header">
		       <button id="btn_actualizar" class="btn btn-default">Actualizar</button>
						<span class="btn btn-success float-right btn-sm" style="font-size:1rem;cursor:pointer;margin-top:5px;" id="btn_excel_stockvalorizadoventa" href="javascript:void(0)">
						<i class="fa fa-file-excel"></i> EXCEL</span>
						
		    </div>
		    </div>
		</div>
	</div>
	</div>
</section>



    <div id="div_stockvalorizadoventa_filtro" class="contenido_tabla" ></div>

	

	<div id="div_stockvalorizadoventa_tabla" class="contenido_tabla" ></div>

	

<script type="text/javascript">

function stockvalorizadoventa_filtro()
{
		$.ajax({
			type: "POST",
			url: "../stockvalorizadoventa/stockvalorizadoventa_filtro.php",
			async:true,
			dataType: "html",                      
		//data: ({

			//producto: $('#txt_fil_pro').val()

		//}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
	$('#div_stockvalorizadoventa_filtro').html(div);
		},
		success: function(html){
			$('#div_stockvalorizadoventa_filtro').html(html);
		},

		complete: function(){
			//stockvalorizadoventa_tabla();
		}
	});
	}

	function stockvalorizadoventa_tabla()
	{
	if($('#chk_fil_unibas').is(':checked')) {  
		dunibas=1;
	} else {  
		dunibas=0;
	}	

	$.ajax({
		type: "POST",
		url: "../stockvalorizadoventa/stockvalorizadoventa_tabla.php",
		async:true,
		dataType: "html",                      
		data: $("#for_fil_pro").serialize(),
		beforeSend: function() {

				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
	$('#div_stockvalorizadoventa_tabla').html(div);
        },
		success: function(html){
			$('#div_stockvalorizadoventa_tabla').html(html);
		},
		complete: function(){			

		}
	});    
	}	

	function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
	}



$(function() {
	
		$("#btn_excel_stockvalorizadoventa").click(function(){
			txt_fil_pro_mar = $("#txt_fil_pro_mar").val();
			cmb_fil_cat_id = $("#cmb_fil_cat_id").val();
			txt_fil_valven_fec1 = $("#txt_fil_valven_fec1").val();
			txt_fil_valven_fec2 = $("#txt_fil_valven_fec2").val();
			txt_fil_pro_dat1 = $("#txt_fil_pro_dat1").val();
			txt_fil_pro_dat2 = $("#txt_fil_pro_dat2").val();
			cmb_fil_puntoventa_id = $("#cmb_fil_puntoventa_id").val();
			abrirEnPestana('../../files/stockvalorizadoventa/stockvalorizadoventa_impcpe_doc.php?txt_fil_pro_mar='+txt_fil_pro_mar
			+'&cmb_fil_cat_id='+cmb_fil_cat_id
			+'&txt_fil_valven_fec1='+txt_fil_valven_fec1
			+'&txt_fil_valven_fec2='+txt_fil_valven_fec2
			+'&txt_fil_pro_dat1='+txt_fil_pro_dat1
			+'&txt_fil_pro_dat2='+txt_fil_pro_dat2
			+'&cmb_fil_puntoventa_id='+cmb_fil_puntoventa_id);
		});

	$('#btn_actualizar').click(function() {
		$("#contenido").load("../stockvalorizadoventa/stockvalorizadoventa_vista.php");
	});

	stockvalorizadoventa_filtro();	
    setTitle("STOCK VALORIZADO - "+nombreEmpresa);	

});

</script>







